Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.jems.hibernate
Class OracleStringUserType

    java.lang.Object
      org.jboss.portal.jems.hibernate.OracleStringUserType

All Implemented Interfaces:
  org.hibernate.usertype.UserType

    public class OracleStringUserType

extends java.lang.Object
implements org.hibernate.usertype.UserType

Version:
  $Revision$
Author:
  Thomas Heute

Constructor Summary
`OracleStringUserType()`

Method Summary
`java.lang.Object` | `assemble(java.io.Serializable arg0, java.lang.Object arg1)`
`java.lang.Object` | `deepCopy(java.lang.Object value)`
`java.io.Serializable` | `disassemble(java.lang.Object value)`
`boolean` | `equals(java.lang.Object arg0, java.lang.Object arg1)`
`int` | `hashCode(java.lang.Object arg0)`
`boolean` | `isMutable()`
`java.lang.Object` | `nullSafeGet(java.sql.ResultSet rs, java.lang.String[] names, java.lang.Object owner)`
`void` | `nullSafeSet(java.sql.PreparedStatement st, java.lang.Object value, int index)`
`java.lang.Object` | `replace(java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)`
`java.lang.Class` | `returnedClass()`
`int[]` | `sqlTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleStringUserType

    public OracleStringUserType()

Method Detail

### assemble

    public java.lang.Object assemble(java.io.Serializable arg0,
                                     java.lang.Object arg1)
                              throws org.hibernate.HibernateException

  Specified by:
    `assemble` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### deepCopy

    public java.lang.Object deepCopy(java.lang.Object value)
                              throws org.hibernate.HibernateException

  Specified by:
    `deepCopy` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### disassemble

    public java.io.Serializable disassemble(java.lang.Object value)
                                     throws org.hibernate.HibernateException

  Specified by:
    `disassemble` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### equals

    public boolean equals(java.lang.Object arg0,
                          java.lang.Object arg1)
                   throws org.hibernate.HibernateException

  Specified by:
    `equals` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### hashCode

    public int hashCode(java.lang.Object arg0)
                 throws org.hibernate.HibernateException

  Specified by:
    `hashCode` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### isMutable

    public boolean isMutable()

  Specified by:
    `isMutable` in interface `org.hibernate.usertype.UserType`

### nullSafeGet

    public java.lang.Object nullSafeGet(java.sql.ResultSet rs,
                                        java.lang.String[] names,
                                        java.lang.Object owner)
                                 throws org.hibernate.HibernateException,
                                        java.sql.SQLException

  Specified by:
    `nullSafeGet` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`
    `java.sql.SQLException`

### nullSafeSet

    public void nullSafeSet(java.sql.PreparedStatement st,
                            java.lang.Object value,
                            int index)
                     throws org.hibernate.HibernateException,
                            java.sql.SQLException

  Specified by:
    `nullSafeSet` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`
    `java.sql.SQLException`

### replace

    public java.lang.Object replace(java.lang.Object arg0,
                                    java.lang.Object arg1,
                                    java.lang.Object arg2)
                             throws org.hibernate.HibernateException

  Specified by:
    `replace` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### returnedClass

    public java.lang.Class returnedClass()

  Specified by:
    `returnedClass` in interface `org.hibernate.usertype.UserType`

### sqlTypes

    public int[] sqlTypes()

  Specified by:
    `sqlTypes` in interface `org.hibernate.usertype.UserType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD